Subject: Re: bug#19146: 25.0.50; RFE: non-interactive package upgrade

From: Sam Steingold <[email-masked]>
Date: Wed, 11 May 2022 22:23:58 -0400

Thank you!
So, does
emacs --funcall package-update-all
work now?

On Wed, 11 May 2022 at 21:59, Lars Ingebrigtsen <[email-masked]> wrote:
>
> Sam Steingold <[email-masked]> writes:
>
> > To upgrade all packages I need to do :
> >
> > M-x list-packages RET
> > U (package-menu-mark-upgrades)
> > x (package-menu-execute)
> >
> > then answer "yes" to "upgrade?" and "delete old?" questions.
> >
> > It would be nice if, similar to aptitude:
> >
> > aptitude update && aptitude -y full-upgrade && aptitude autoclean && deborphan
> >
> > I could do M-x package-upgrade-all RET and everything were done right
> > away - no menus, no questions.
> > (I looked at package.el myself and was unable to disentangle the "work"
> > for the GUI).
>
> I've now added `M-x package-update-all' to Emacs 29.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net>
<http://steingoldpsychology.com>